.main-container {}

.categories-list {
    padding: 16px;
}

.grouped-tags-wrapper {
    max-width: 900px;
    margin: 0 auto;
    position: relative;
}

.grouped-tags-container {
    border-bottom: 2px solid var(--bbh-gold);
    padding: 8px;
    cursor: pointer;
}

.grouped-tags-titles-container {
    display: flex;
    justify-content: space-between;
}

.grouped-tags-titles {
    color: var(--bbh-gold);
    font-size: 1.1em;
}

.grouped-tags-dropdown-icon-container {
    width: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.grouped-tags-dropdown-icon {
    width:  16px;
    height: 16px;
    fill: var(--bbh-gold);
    transition: var(--def-transition);
}
.grouped-tags-container.open .grouped-tags-dropdown-icon {
    transform: rotate(180deg);
    fill: var(--bbh-accent);
}

.grouped-tags-list-container {
    display: grid;
    grid-template-rows: 0fr;
    transition: all 1s ease;
    border: 2px solid transparent;
}

.grouped-tags-container.open ~ .grouped-tags-list-container {
    border: 2px solid var(--bbh-gold);
    grid-template-rows: 1fr;

}

.grouped-tags-list {
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.list-item {
    margin: 12px;
    padding: 8px;
    border: 2px solid var(--bbh-gold);
    border-radius: 8px;
    max-width: 100%;
    position: relative;
    transition: var(--def-transition);
}

.list-item-title {
    text-wrap: nowrap;
    font-size: 1.1em;
    overflow: clip;
    text-overflow: ellipsis;
}
.list-item-description {
    max-width: 100%;
    color: var(--muted);
    font-size: .9em;
    text-wrap: wrap;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.list-item a {
    /*pointer-events: none;*/
    position: absolute;
    inset: 0;
}
.grouped-tags-container.open .list-item a {
    /*pointer-events: auto;*/
}

/*-------------------------------------------------------------------------------------------------------------------*/
                             /* -- Mobile first approach using new breakpoints -- */
/*-------------------------------------------------------------------------------------------------------------------*/

@media (min-width: 375px) {}
@media (min-width: 576px) {}
@media (min-width: 768px) {}
@media (min-width: 992px) {}
@media (min-width: 1036px) {}
@media (min-width: 1062px) {}
@media (min-width: 1200px) {}
@media (hover: hover) {
    .grouped-tags-wrapper:hover .grouped-tags-dropdown-icon { fill: var(--bbh-accent-light); }
    .list-item:hover {
        box-shadow: var(--def-box-shadow);
        background-color: rgba(255, 255, 255, .2);
    }
}